Overview
The Posts resource allows you to generate posts or fetch your saved posts from your LiGo account. Use this endpoint to: - Generate posts in your authentic voice using a post idea - Fetch posts of different categories or labels that you have assigned
Generate Post
Generate a post using a post idea. Each generated post will have 3+ different variants to choose from.
POST
/posts/draftsRequest Body
| Parameter | Type | Required | Description |
|---|---|---|---|
| post_idea | string | Required | The idea you want to use to generate your post. |
Example Request
json
{
"post_idea": "Your Post Idea"
}Response
json
{
"message": "Post generated successfully and saved to drafts",
"variant_1": "Post variant 1",
"variant_2": "Post variant 2",
"variant_3": "Post variant 3"
}
}Response Fields
| Field | Type | Description |
|---|---|---|
| message | string | Confirmation message indicating the post was generated & saved to your drafts |
| variant_1 | string | Generated post variant 1 |
| variant_2 | string | Generated post variant 2 |
| variant_3 | string | Generated post variant 3 |
Fetch Posts
Fetch posts based on their category or label assigned to them.
GET
/postsQuery Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | integer | Optional | Number of posts to return per page (default: 10, max: 10) |
| page | integer | Optional | Page number for pagination (default: 1) |
| category | string | Optional | Filter posts by category (e.g., draft, liked). Required if no label is provided |
| label | array | Optional | Filter posts by labels. Required if no category is provided |
Response
json
{
"posts": {
"post_variant_1": "Content of post variant 1",
"post_variant_2": "Content of post variant 2",
"post_variant_3": "Content of post variant 3",
"post_variant_4": "Content of post variant 4",
}
}
}Response Fields
| Field | Type | Description |
|---|---|---|
| posts | object | All post variants |
| posts.post_variant | string | Content of each post variant. There are always 1-3+ post variants for each post |
Accessing Your Posts
All saved posts will appear in your Draft posts. From there, you can edit, publish or schedule them.